EXEC(1)

NAME
exec - execute command in current process

SYNOPSIS
exec COMMAND

DESCRIPTION

NOTE: This page documents the fish builtin exec. To see the documentation on any non-fish versions, use command man exec.

exec replaces the currently running shell with a new command. On successful completion, exec never returns. exec cannot be used inside a pipeline.

The --help or -h option displays help about using this command.

EXAMPLE

exec emacs starts up the emacs text editor, and exits fish. When emacs exits, the session will terminate.

Copyright
fish-shell developers